> ## Documentation Index
> Fetch the complete documentation index at: https://docs.liveavatar.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Voices

> Get voices list



## OpenAPI

````yaml /openapi.json get /v1/voices
openapi: 3.1.0
info:
  title: Live avatar API
  version: 0.1.0
servers:
  - url: https://api.liveavatar.com
security: []
paths:
  /v1/voices:
    get:
      tags:
        - Voices
      summary: List Voices
      description: Get voices list
      operationId: list_voices_v1_voices_get
      parameters:
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            title: Page
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 20
            title: Page Size
        - name: voice_type
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/VoiceListTypeEnum'
            default: public
        - name: la_session
          in: cookie
          required: false
          schema:
            title: La Session
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Response_PaginatedResponse_VoiceSchema__'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    VoiceListTypeEnum:
      type: string
      enum:
        - public
        - private
      title: VoiceListTypeEnum
    Response_PaginatedResponse_VoiceSchema__:
      properties:
        code:
          type: integer
          title: Code
          default: 100
        data:
          anyOf:
            - $ref: '#/components/schemas/PaginatedResponse_VoiceSchema_'
            - type: 'null'
        message:
          title: Message
          type: string
      type: object
      title: Response[PaginatedResponse[VoiceSchema]]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PaginatedResponse_VoiceSchema_:
      properties:
        count:
          type: integer
          title: Count
        next:
          title: Next
          type: string
        previous:
          title: Previous
          type: string
        results:
          items:
            $ref: '#/components/schemas/VoiceSchema'
          type: array
          title: Results
      type: object
      required:
        - count
        - results
      title: PaginatedResponse[VoiceSchema]
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          title: Message
          type: string
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    VoiceSchema:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        name:
          type: string
          title: Name
        description:
          title: Description
          type: string
        language:
          type: string
          title: Language
        gender:
          type: string
          title: Gender
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        tags:
          items:
            type: string
          type: array
          title: Tags
          readOnly: true
      type: object
      required:
        - id
        - name
        - language
        - gender
        - created_at
        - updated_at
        - tags
      title: VoiceSchema
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-KEY

````